# Maintainer: Future Linux Team <future_linux@163.com>

pkgname=readline
pkgver=8.1.2
pkgrel=2
pkgdesc='GNU readline library'
arch=('x86_64')
url='https://tiswww.case.edu/php/chet/readline/rltop.html'
license=('GPL')
depends=('glibc' 'ncurses')
options=('!emptydirs')
backup=(etc/inputrc)
source=(https://ftp.gnu.org/gnu/${pkgname}/${pkgname}-${pkgver}.tar.gz
    inputrc)
sha256sums=(7589a2381a8419e68654a47623ce7dfcb756815c8fee726b98f90bf668af7bc6
    e016c93c4ded93c7e08e92957345746618c5893eae0c8528b0392a6e0d6e447a)

prepare() {
    cd ${pkgname}-${pkgver}

    # remove RPATH from shared objects (FS#14366)
    sed -i 's|-Wl,-rpath,$(libdir) ||g' support/shobj-conf
}

build() {
    cd ${pkgname}-${pkgver}

    CFLAGS="${CFLAGS} -fPIC"

    ${configure}

    make SHLIB_LIBS="-lncursesw"
}

package() {
    cd ${pkgname}-${pkgver}

    make DESTDIR=${pkgdir} SHLIB_LIBS="-lncursesw" install

    install -Dm644 ${srcdir}/inputrc ${pkgdir}/etc/inputrc
}
